---

# Fix arrow keys
- name: Add "set nocompatible" in ~/.exrc to fix arrow keys in terminal
  lineinfile:
    path: "{{ ansible_env.HOME }}/.exrc"
    line: "set nocompatible"
    state: "{{ 'absent' if uninstall | default(false) | bool else 'present' }}"
    create: yes
    mode: 0644
  tags:
    - exrc

# Fix backspace
- name: Add "set backspace=2" in ~/.exrc to fix backspace
  lineinfile:
    path: "{{ ansible_env.HOME }}/.exrc"
    line: "set backspace=2"
    state: "{{ 'absent' if uninstall | default(false) | bool else 'present' }}"
    create: yes
    mode: 0644
  tags:
    - exrc

- name: Remove ~/.exrc
  include_tasks: uninstall.yml
  when: (uninstall | default(false) | bool)
  tags:
    - exrc
